> For the complete documentation index, see [llms.txt](https://developers.dforce.network/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.dforce.network/lend/lend-and-synth/security.md).

# Security

The security of the protocol is our highest priority, dForce development team works closely with third-party auditors and formal verification teams to ensure that the protocols match the highest security standards.

### Audits

{% hint style="success" %}
[**ConsenSys Deligence&#x20;*****Audit*****&#x20;- April 2021**](https://consensys.net/diligence/audits/2021/03/dforce-lending-protocol-review/)
{% endhint %}

{% hint style="success" %}
[**Trail of Bits&#x20;*****Audit*****&#x20;- March 2021**](https://github.com/dforce-network/documents/blob/master/audit_report/Lending/dForceLending-Audit-Report-TrailofBits-Mar-2021.pdf)
{% endhint %}

{% hint style="success" %}
[**Certora&#x20;*****Formal Verification*****&#x20;- March 2021**](https://www.certora.com/pubs/dForceFeb2021.pdf)
{% endhint %}

{% hint style="success" %}
[**Certik&#x20;*****Audit*****&#x20;- February 2021**](https://www.certik.org/projects/dforce)
{% endhint %}

### Bug Bounty

We encourage the hunting of bugs and potential exploits in our protocols, Refer to our [bug bounty program](https://docs.dforce.network/devs/bug-bounty) for details.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.dforce.network/lend/lend-and-synth/security.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
